
void _efl_model_provider_efl_ui_view_model_set(Eo *obj, Efl_Model_Provider_Data *pd, Efl_Model *model);


Efl_Model *_efl_model_provider_efl_ui_view_model_get(const Eo *obj, Efl_Model_Provider_Data *pd);


static Eina_Bool
_efl_model_provider_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_MODEL_PROVIDER_EXTRA_OPS
#define EFL_MODEL_PROVIDER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_view_model_set, _efl_model_provider_efl_ui_view_model_set),
      EFL_OBJECT_OP_FUNC(efl_ui_view_model_get, _efl_model_provider_efl_ui_view_model_get),
      EFL_MODEL_PROVIDER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_model_provider_class_desc = {
   EO_VERSION,
   "Efl.Model_Provider",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Model_Provider_Data),
   _efl_model_provider_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_model_provider_class_get, &_efl_model_provider_class_desc, EFL_OBJECT_CLASS, EFL_UI_VIEW_INTERFACE, NULL);
